[Mongrel] Gentoo warning

Ezra Zygmuntowicz ezmobius at gmail.com
Thu Nov 22 19:00:06 EST 2007


On Nov 22, 2007, at 2:47 PM, Benjamin Krause wrote:

> Hey
> You need to set the USE flag 'threads' to add pthread support to ruby.
> Ben
> On 2007-11-22, at 18:53, Zed A. Shaw wrote:
>> On Thu, 22 Nov 2007 11:20:37 +0100
>> "Csaba Okrona" <ochronus at gmail.com> wrote:
>>> Hi,
>>> <snip>
>>> Having the same CFLAGS for both builds, the only thing I can think  
>>> of is
>>> that some gentoo patches
>>> are responsible for this.
>> Check to see if they've got the pthreads turned on in their build,  
>> rather than a patch.  It'd be an option to ./configure that enables  
>> it, and that usually makes Ruby crawl.

	Just to be clear you want pthreads turned off so USE='-threads'  or  
the equivalent. I dont recall if the default ebuild uses pthreads or  
not but you definitely want to turn them off.


More information about the Mongrel-users mailing list